Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark
Class SolverBenchmarkSuite

    java.lang.Object
      org.drools.planner.benchmark.SolverBenchmarkSuite

    public class SolverBenchmarkSuite

extends Object

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`SolverBenchmarkSuite()`

Method Summary
`void` | `benchmark(com.thoughtworks.xstream.XStream xStream)`
`void` | `benchmarkingEnded(com.thoughtworks.xstream.XStream xStream, Map<File,List<SolverStatistic>> unsolvedSolutionFileToStatisticMap)`
`void` | `benchmarkingStarted()`
`File` | `getBenchmarkDirectory()`
`File` | `getBenchmarkInstanceDirectory()`
`File` | `getSolvedSolutionFilesDirectory()`
`Comparator<SolverBenchmark>` | `getSolverBenchmarkComparator()`
`List<SolverBenchmark>` | `getSolverBenchmarkList()`
`File` | `getSolverStatisticFilesDirectory()`
`List<SolverStatisticType>` | `getSolverStatisticTypeList()`
`Long` | `getWarmUpHoursSpend()`
`Long` | `getWarmUpMinutesSpend()`
`Long` | `getWarmUpSecondsSpend()`
`Long` | `getWarmUpTimeMillisSpend()`
`void` | `setBenchmarkDirectory(File benchmarkDirectory)`
`void` | `setBenchmarkInstanceDirectory(File benchmarkInstanceDirectory)`
`void` | `setSolvedSolutionFilesDirectory(File solvedSolutionFilesDirectory)`
`void` | `setSolverBenchmarkComparator(Comparator<SolverBenchmark> solverBenchmarkComparator)`
`void` | `setSolverBenchmarkList(List<SolverBenchmark> solverBenchmarkList)`
`void` | `setSolverStatisticFilesDirectory(File solverStatisticFilesDirectory)`
`void` | `setSolverStatisticTypeList(List<SolverStatisticType> solverStatisticTypeList)`
`void` | `setWarmUpHoursSpend(Long warmUpHoursSpend)`
`void` | `setWarmUpMinutesSpend(Long warmUpMinutesSpend)`
`void` | `setWarmUpSecondsSpend(Long warmUpSecondsSpend)`
`void` | `setWarmUpTimeMillisSpend(Long warmUpTimeMillisSpend)`
`void` | `writeBenchmarkResult(com.thoughtworks.xstream.XStream xStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### SolverBenchmarkSuite

    public SolverBenchmarkSuite()

Method Detail

### getBenchmarkDirectory

    public File getBenchmarkDirectory()

### setBenchmarkDirectory

    public void setBenchmarkDirectory(File benchmarkDirectory)

### getBenchmarkInstanceDirectory

    public File getBenchmarkInstanceDirectory()

### setBenchmarkInstanceDirectory

    public void setBenchmarkInstanceDirectory(File benchmarkInstanceDirectory)

### getSolvedSolutionFilesDirectory

    public File getSolvedSolutionFilesDirectory()

### setSolvedSolutionFilesDirectory

    public void setSolvedSolutionFilesDirectory(File solvedSolutionFilesDirectory)

### getSolverStatisticFilesDirectory

    public File getSolverStatisticFilesDirectory()

### setSolverStatisticFilesDirectory

    public void setSolverStatisticFilesDirectory(File solverStatisticFilesDirectory)

### getSolverStatisticTypeList

    public List<SolverStatisticType> getSolverStatisticTypeList()

### setSolverStatisticTypeList

    public void setSolverStatisticTypeList(List<SolverStatisticType> solverStatisticTypeList)

### getSolverBenchmarkComparator

    public Comparator<SolverBenchmark> getSolverBenchmarkComparator()

### setSolverBenchmarkComparator

    public void setSolverBenchmarkComparator(Comparator<SolverBenchmark> solverBenchmarkComparator)

### getWarmUpTimeMillisSpend

    public Long getWarmUpTimeMillisSpend()

### setWarmUpTimeMillisSpend

    public void setWarmUpTimeMillisSpend(Long warmUpTimeMillisSpend)

### getWarmUpSecondsSpend

    public Long getWarmUpSecondsSpend()

### setWarmUpSecondsSpend

    public void setWarmUpSecondsSpend(Long warmUpSecondsSpend)

### getWarmUpMinutesSpend

    public Long getWarmUpMinutesSpend()

### setWarmUpMinutesSpend

    public void setWarmUpMinutesSpend(Long warmUpMinutesSpend)

### getWarmUpHoursSpend

    public Long getWarmUpHoursSpend()

### setWarmUpHoursSpend

    public void setWarmUpHoursSpend(Long warmUpHoursSpend)

### getSolverBenchmarkList

    public List<SolverBenchmark> getSolverBenchmarkList()

### setSolverBenchmarkList

    public void setSolverBenchmarkList(List<SolverBenchmark> solverBenchmarkList)

### benchmarkingStarted

    public void benchmarkingStarted()

### benchmark

    public void benchmark(com.thoughtworks.xstream.XStream xStream)

### benchmarkingEnded

    public void benchmarkingEnded(com.thoughtworks.xstream.XStream xStream,
                                  Map<File,List<SolverStatistic>> unsolvedSolutionFileToStatisticMap)

### writeBenchmarkResult

    public void writeBenchmarkResult(com.thoughtworks.xstream.XStream xStream)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.